aboutsummaryrefslogtreecommitdiff
path: root/bash/bashrc.d/completion.bash
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2018-06-29 17:22:56 +1200
committerTom Ryder <tom@sanctum.geek.nz>2018-06-29 17:22:56 +1200
commitf1fb2e6cd9c774e8f39ab5e8f7896585a56711c2 (patch)
tree7c32d48259a5a0c9abbced54610edde8e38bc852 /bash/bashrc.d/completion.bash
parentCorrect typo in .bashrc (diff)
downloaddotfiles-f1fb2e6cd9c774e8f39ab5e8f7896585a56711c2.tar.gz
dotfiles-f1fb2e6cd9c774e8f39ab5e8f7896585a56711c2.zip
Break sh noglob guard into two lines for clarity
They're nicer to read this way.
Diffstat (limited to 'bash/bashrc.d/completion.bash')
-rw-r--r--bash/bashrc.d/completion.bash3
1 files changed, 2 insertions, 1 deletions
diff --git a/bash/bashrc.d/completion.bash b/bash/bashrc.d/completion.bash
index 901c55ec..d938275c 100644
--- a/bash/bashrc.d/completion.bash
+++ b/bash/bashrc.d/completion.bash
@@ -118,7 +118,8 @@ if ((BASH_VERSINFO[0] >= 4)) ; then
# If not, load all of the completions up now
else
for sh in "$HOME"/.bash_completion.d/*.bash ; do
- [[ -e $sh ]] && source "$sh"
+ [[ -e $sh ]] || continue
+ source "$sh"
done
unset -v sh
fi